<script setup lang="ts">
import { useDetail } from "../config/detail";
import { ticketReturnColumns } from "/@/utils/details/_purchase";
import BasicDescriptions from "/@/components/BasicDescriptions";
import { detailProps } from "../types";

const props = defineProps(detailProps);
defineEmits(["map-offset-top"]);

const { data, code, defaultRef } = useDetail(props);
</script>

<template>
  <BasicDescriptions
    :show="code === '0'"
    ref="defaultRef"
    :data="data"
    :columns="ticketReturnColumns"
  />
</template>
